filebeat.config:
  modules:
    path: ${path.config}/modules.d/*.yml
    reload.enabled: true
    reload.period: 10s

filebeat.autodiscover:
  providers:
    - type: docker
      hints.enabled: true


filebeat.modules:
    - module: nginx
      access:
        enable: true
        var.paths: ["/nginx/access.log"]
      error:
        enable: true
        var.paths: ["/nginx/error.log"]
    - module: system
      syslog:
        enabled: true
        var.paths: ["/sys/syslog"]
      auth:
        enabled: true
        var.paths: ["/sys/auth.log"]

    - module: mongodb
      log:
        enable: true
        var.paths: ["/mongodb/*.log"]
    - module: system
  

processors:
- add_cloud_metadata: ~

setup.kibana:
  host: "https://kibana.sandboxer.fivepoints.fr"
  username: '${ELASTICSEARCH_USERNAME:}'
  password: '${ELASTICSEARCH_PASSWORD:}'

output.elasticsearch:
  hosts: '${ELASTICSEARCH_HOSTS:elasticsearch:9200}'
  username: '${ELASTICSEARCH_USERNAME:}'
  password: '${ELASTICSEARCH_PASSWORD:}'